FLANG

Public Member Functions | List of all members
Fortran::semantics::LabelEnforce Class Reference

## Public Member Functions
| LabelEnforce (SemanticsContext &context, std::set< parser::Label > &&labels, parser::CharBlock constructSourcePosition, const char *construct)
template<typename T >
bool | Pre (const T &)
template<typename T >
bool | Pre (const parser::Statement< T > &statement)
template<typename T >
void | Post (const T &)
void | Post (const parser::GotoStmt &gotoStmt)
void | Post (const parser::ComputedGotoStmt &computedGotoStmt)
void | Post (const parser::ArithmeticIfStmt &arithmeticIfStmt)
void | Post (const parser::AssignStmt &assignStmt)
void | Post (const parser::AssignedGotoStmt &assignedGotoStmt)
void | Post (const parser::AltReturnSpec &altReturnSpec)
void | Post (const parser::ErrLabel &errLabel)
void | Post (const parser::EndLabel &endLabel)
void | Post (const parser::EorLabel &eorLabel)
void | checkLabelUse (const parser::Label &labelUsed)

The documentation for this class was generated from the following files:

- include/flang/Semantics/tools.h
- lib/Semantics/tools.cpp